• Welcome to Simple Machines Community Forum. Please login or sign up.
November 28, 2021, 01:30:16 AM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


SMF 1.0.2

Started by Meriadoc, February 14, 2005, 02:54:45 AM

Previous topic - Next topic

Meriadoc

February 14, 2005, 02:54:45 AM Last Edit: February 14, 2005, 04:46:40 PM by Meriadoc
Simple Machines is happy to bring you SMF 1.0.2. This is a minor release, but contains a few bugfixes. As always, we hope this new version is more stable, usable, and generally better than the previous.

We would appreciate it greatly if you gave us constructive feedback on this release, as well as bug reports.

If you feel you have found a security hole or very serious bug, it is best to email security@simplemachines.org to make sure the correct people are notified.  However, if it is not critical, it will be more quickly addressed if it is posted to SMF Coding Discussion or General English Support.  For other problems, please post in the appropriate section of General English Support.

Some of the changes and bugfixes from the previous version (1.0.1) are:


  • the search functionality now works better when create temporary table is disabled.
  • the package manager was not skipping files correctly.
  • some servers with strange security settings were complaing about URLs.
  • the CGI bugs were not being worked around with FastCGI (IIS, etc.).
  • the recount forum totals functionality wasn't affecting all statistics properly.

Please see the changelog for a more detailed list of these changes, and more.

If you are upgrading from 1.0.1, the easiest way to update is through the package manager.  However, if you want to use file uploads, you only need to use the "update" package as it includes only the changed files since 1.0's release. However, if you have any mods installed it would be better to use the "upgrade" package because it contains all the files for an SMF installation. Remember that you can use the "upgrade" package to come from any previous version of SMF. You can also use it to upgrade from YaBB SE.

You can always find information posted here about things like installation, upgrade, and more. The archive files themselves also include manuals.

http://www.simplemachines.org/download.php

Thanks,
Simple Machines
If I know the way home and am walking along it drunkenly, is it any less the right way because I am staggering from side to side? : Leo Tolstoy
Everything I know I learned from Calvin and Hobbes.
And patience is about the most useful thing you could ever have.  That and backups. : [Unknown]
If I choose to send thee, Tuor son of Huor, then believe not that thy one sword is not worth the sending. : Ulmo, Lord of the Waters - Unfinished Tales, by J.R.R. Tolkien

khayman

I initially used the package manager to upgrade to 1.0.2 and then checked the file versions. The sources stayed at version 1.01. Does that matter? Also I check the packages and there were two of the same for the 1.02 package...not sure if it was something I did or not.

I next download the upgrade package and ran that and it upgraded everything including the sources.

sportman3333333

I have tryed to upgrade and i extractewd the zip and it still say they are need to be more files updated

Grudge

IIRC only some of the files will change to 1.0.2. Basically, if you do a detailed version check after upgrading everything should match what it says here.

EDIT: I want to empthasize that only SOME of the files will say 1.0.2. Files which have NOT been changed for this release will still show as 1.0.1 (Or 1.0 if they wern't changed for 1.0.1!)
I'm only a half geek really...

FikretAkın


Retell

WOW I am on the first page, I love that live news part on admin TNX SMF!!!

:)


Retell ;)
Retell ;)

madfiddler

What does this mean? I chmodded all the source php's to 777 and it still happened

2: fopen(./changelog.txt): failed to open stream: Permission denied
File: /home/site/public_html/fiddleforum/Sources/Subs-Package.php
Line: 1454

Thanks,

Mark.

[Unknown]

Quote from: madfiddler on February 14, 2005, 06:39:08 PM
2: fopen(./changelog.txt): failed to open stream: Permission denied
File: /home/site/public_html/fiddleforum/Sources/Subs-Package.php
Line: 1454

You can ignore that, it just means the "changelog.txt" file was not found.... I would use the update/upgrade package from the download page.

-[Unknown]

madfiddler


Shaman

I did an update through the package manager.  The maintenance are now tells me that these two files are out of date, though:

security.php

news.php

sh-demon

tried using the new 1.0.2 installer and when i try to run the install it tells me that there are crucial installation files missing from the files source.

Unable to find crucial installation files in the directory of this script!

Please make sure you uploaded the entire installation package, including the sql file, and then try again.

Click here to try this step again.

thats the error and i don't understand it cuz i just downloaded it just now and tried to do the install. anyone know why im getting this error. I did not try upgrading as my board is fairly new so i didn't care if i lost anything i did back it up however.

[Unknown]

Sorry, there was a mistake in the package file.  Please upload this file to your Packages directory and apply it (it will fix the missing changes.)

http://mods.simplemachines.org/downloads/smf_1-0-2_update.tar.gz

sh-demon, the error you're getting most specifically indicates that "smf_1-0.sql" does not exist.  Are you sure you uploaded all the files?  Or do you mean to use the upgrade?

-[Unknown]

sh-demon

February 14, 2005, 08:41:35 PM #12 Last Edit: February 14, 2005, 08:50:43 PM by sh-demon
like i said its a brand new install i just downloaded the newest smf a few minutes again and unless it didn't come with the zip file then i should have it. but looking at the unzipped folder i do see that that file is not there so there must be something wrong with the zip file. could someone check it please.

EDIT: I used the old sql file that came with 1.0.1 and that let me install it but im curious as to why the new one doesn't come with a sql file. Was there something changed on that file that is needed? If so i will delete and install again once the package is fixed.

Omega X

Quote from: khayman on February 14, 2005, 05:51:51 PM
I initially used the package manager to upgrade to 1.0.2 and then checked the file versions. The sources stayed at version 1.01. Does that matter? Also I check the packages and there were two of the same for the 1.02 package...not sure if it was something I did or not.

I next download the upgrade package and ran that and it upgraded everything including the sources.

If you have the SMF<-> Mambo bridge, then I got a similar message. HOWEVER, if you type in the url: "www.yoursite.com/smfdirectory" and view the recent version, it will say 1.0.2. Which is very weird....

ChadH

OK using the mod I get this error

2: copy(/home3/bkoxefwo/public_html/changelog.txt~): failed to open stream: Permission denied
File: /home3/bkoxefwo/public_html/Sources/Subs-Package.php
Line: 1285

This comes up after the I click proceed

flirby

I have smf 1.0.1 installed and modified to run within mambo and utilise shared css, database, etc with mambo, etc.

I am concerned that once I upgrade I will need to spend much time trying to re-edit the many smf files to work within mambo and re-customise them to how they were again...

Could you advise on the best way for me to upgrade to 1.0.2? 

Many Thanks

[Unknown]

Quote from: ChadH on February 14, 2005, 09:32:03 PM
OK using the mod I get this error

2: copy(/home3/bkoxefwo/public_html/changelog.txt~): failed to open stream: Permission denied
File: /home3/bkoxefwo/public_html/Sources/Subs-Package.php
Line: 1285

This comes up after the I click proceed

Your installation directory (public_html) is not writable (777).

Quote from: flirby on February 14, 2005, 09:52:35 PM
I have smf 1.0.1 installed and modified to run within mambo and utilise shared css, database, etc with mambo, etc.

I am concerned that once I upgrade I will need to spend much time trying to re-edit the many smf files to work within mambo and re-customise them to how they were again...

Could you advise on the best way for me to upgrade to 1.0.2?

Many Thanks

Use the package manager update.

-[Unknown]

Xtasy

Ight guys Ive just manually installed 1.0.2 update to my 1.0.1 SMF boards, and Ive run into a few errors. I had about 10-15 mods installed, and now pretty much nuthing works. The arcade isnt even accessable, I get an error message for my banners and I cant login to admin due to a session error.

Session verification failed. Please try logging out and back in again, and then try again.

I cant really do anything without admin.....so any ideas

ChadH

Many thanks. I know what happened now. When I upgraded to 1.01 I loaded the files and the board showed upgrade. I never fixed the permisions.

diplomat.

do you need both SMF 1.0.1 Update Package and SMF 1.0.2 Update Package (installed via package manager) running or can you delete 1.0.1 after installing 1.0.2
avidSOUND.com: Where Aspiring Musicians Can Be HEARD!

Advertisement: